#include <bits/stdc++.h>
using namespace std;
int x,y,a,b;
int main(){
cin>>a>>b>>x>>y;
if(a==x and b==y){
    cout<<"nijedan"<<endl;
}
  else if(a==x and y<b){
    cout<<"drugi"<<endl;
    }
    else if(y==b and x<a){
      cout<<"prvi"<<endl;
    }
  else {
    cout<<"?"<<endl;
    }
return 0;
}